<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Лидеры игры</b> :<br/>";
?></div><div class="knews"><?
if(empty($_GET[v])){
$a1=mysql_fetch_array(qw("SELECT strana,dengi FROM gos2 ORDER by `dengi` DESC LIMIT 0 , 1"));
echo"Самое богатое гос-во : <br/><u>$a1[strana]</u>(<b>$a1[dengi]</b> денег)<a href=lider.php?v=1&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,land,gora,lesa FROM gos2 ORDER by `land` + `gora` + `lesa` DESC LIMIT 0 , 1"));
$land=$a1[land]+$a1[gora]+$a1[lesa];
echo"Самое большое гос-во (свободная земля+горы+леса): <br/><u>$a1[strana]</u>(<b>$land</b> земли)<a href=lider.php?v=2&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,metal,kamen,derevo,zerno,neft FROM gos2 ORDER by `metal` + `kamen` + `derevo`+`zerno`+`neft` DESC LIMIT 0 , 1"));
$res=$a1[metal]+$a1[kamen]+$a1[derevo]+$a1[zerno]+$a1[neft];
echo"Больше всего ресурсов : <br/><u>$a1[strana]</u>(<b>$res</b> единиц)<a href=lider.php?v=3&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,peh,kon,str,puh,tan,sam FROM gos2 ORDER by `peh` +2* `kon` +3* `str`+4*`puh`+5*`tan`+6*`sam` DESC LIMIT 0 , 1"));
$vs=$a1[peh]+2*$a1[kon]+3*$a1[str]+4*$a1[puh]+5*$a1[tan]+6*$a1[sam];
echo"Самое сильное войско : <br/><u>$a1[strana]</u>(<b>$vs</b> коэфф.силы)<a href=lider.php?v=4&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,peh1,peh2,kav1,kav2,str1,str2,puh1,puh2,tan1,tan2,sam1,sam2 FROM gos2 
ORDER by (`peh1`+`peh2`)+2*(`kav1`+`kav2`)+3*(`str1`+`str2`)+4*(`puh1`+`puh2`)+5*(`tan1`+`tan2`)+6*(`sam1`+`sam2`) DESC LIMIT 0 , 1"));
$vs=($a1[peh1]+$a1[peh1])+2*($a1[kav1]+$a1[kav2])+3*($a1[str1]+$a1[str2])+4*($a1[puh1]+$a1[puh2])+5*($a1[tan1]+$a1[tan2])+6*($a1[sam1]+$a1[sam2]);
echo"Самая развитая армия : <br/><u>$a1[strana]</u>(<b>$vs</b> коэфф.развитости)<a href=lider.php?v=5&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,rab,bot FROM gos2 ORDER by `rab` + `bot` DESC LIMIT 0 , 1"));
$res=$a1[rab]+$a1[bot];
echo"Больше всего населения(рабочие+учёные) : <br/><u>$a1[strana]</u>(<b>$res</b> населения)<a href=lider.php?v=6&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,geno FROM gos2 ORDER by `geno` DESC LIMIT 0 , 1"));
echo"Самый опытный генерал : <br/><u>$a1[strana]</u>(<b>$a1[geno]</b> опыта)<a href=lider.php?v=7&der=$key><b>5-кa</b></a><br/>";
$a1=mysql_fetch_array(qw("SELECT strana,genn,genm FROM gos2 ORDER by `genn` + `genm` DESC LIMIT 0 , 1"));
$land=$a1[genn]+$a1[genm];
echo"Самый сильный генерал (навык+мораль): <br/><u>$a1[strana]</u>(<b>$land</b> силы)<br/>";
$a1=mysql_fetch_array(qw("SELECT * FROM bitva"));
echo"Самая крупная битва :<br/>($a1[st1])-($a1[st2])[$a1[opp] общего опыта]<br/>";
}
if($_GET[v]==7){
echo"Самые опытные генералы : <br/>";
$a=qw("SELECT strana,geno FROM gos2 ORDER by `geno` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{
echo"<u>$a1[strana]</u>(<b>$a1[geno]</b> опыта)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==1){
echo"Самые богатые гос-ва : <br/>";
$a=qw("SELECT strana,dengi FROM gos2 ORDER by `dengi` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{
echo"<u>$a1[strana]</u>(<b>$a1[dengi]</b> денег)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==2){
echo"Самые большие гос-ва (свободная земля+горы+леса): <br/>";
$a=qw("SELECT strana,land,gora,lesa FROM gos2 ORDER by `land` + `gora` + `lesa` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{$land=$a1[land]+$a1[gora]+$a1[lesa];
echo"<u>$a1[strana]</u>(<b>$land</b> земли)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==3){
echo"Больше всего ресурсов : <br/>";
$a=qw("SELECT strana,metal,kamen,derevo,zerno,neft FROM gos2 ORDER by `metal` + `kamen` + `derevo`+`zerno`+`neft` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{$res=$a1[metal]+$a1[kamen]+$a1[derevo]+$a1[zerno]+$a1[neft];
echo"<u>$a1[strana]</u>(<b>$res</b> единиц)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==4){
echo"Самое сильное войско : <br/>";
$a=qw("SELECT strana,peh,kon,str,puh,tan,sam FROM gos2 ORDER by `peh` +2* `kon` +3* `str`+4*`puh`+5*`tan`+6*`sam` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{$vs=$a1[peh]+2*$a1[kon]+3*$a1[str]+4*$a1[puh]+5*$a1[tan]+6*$a1[sam];
echo"<u>$a1[strana]</u>(<b>$vs</b> коэфф.силы)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==5){
echo"Самое сильное войско : <br/>";
$a=qw("SELECT strana,peh1,peh2,kav1,kav2,str1,str2,puh1,puh2,tan1,tan2,sam1,sam2 FROM gos2 
ORDER by (`peh1`+`peh2`)+2*(`kav1`+`kav2`)+3*(`str1`+`str2`)+4*(`puh1`+`puh2`)+5*(`tan1`+`tan2`)+6*(`sam1`+`sam2`) DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{$vs=($a1[peh1]+$a1[peh1])+2*($a1[kav1]+$a1[kav2])+3*($a1[str1]+$a1[str2])+4*($a1[puh1]+$a1[puh2])+5*($a1[tan1]+$a1[tan2])+6*($a1[sam1]+$a1[sam2]);
echo"<u>$a1[strana]</u>(<b>$vs</b> коэфф.развитости)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
if($_GET[v]==6){
echo"Больше всего населения(рабочие+учёные) : <br/>";
$a=qw("SELECT strana,rab,bot FROM gos2 ORDER by `rab` + `bot` DESC LIMIT 0 , 5");
while($a1 = mysql_fetch_array($a))
{$res=$a1[rab]+$a1[bot];
echo"<u>$a1[strana]</u>(<b>$res</b> населения)<br/>";
}
echo"<a href=lider.php?der=$key>Назад</a><br/>";
}
echo'<br/><a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
?>